/// <reference types="@webgpu/types" />
import { GridHandles } from './GridHandles';
import { KeyboardModifier } from './KeyboardModifier';
type GridUIProps = {
    numColumns: number;
    numRows: number;
    focusedCellPosition: Uint32Array;
    selectedStates: Uint32Array;
    onDataChanged?: (sourceIndex: number, gridData: Float32Array | Uint32Array | GPUBuffer) => void;
    onFocusedCellPositionChange?: (sourceIndex: number, columnIndex: number, rowIndex: number) => void;
    onSelectedStatesChange?: (sourceIndex: number, columnIndex: number, rowIndex: number, keyboardModifier: KeyboardModifier) => void;
    onViewportStateChange?: (sourceIndex: number) => void;
};
export declare const GridUI: import("react").ForwardRefExoticComponent<GridUIProps & import("react").RefAttributes<GridHandles>>;
export default GridUI;
